# CorridorGeometryUpdater

#### new Cesium.CorridorGeometryUpdater(entity, scene)
DataSources/CorridorGeometryUpdater.js 51

A `GeometryUpdater` for corridors. Clients do not normally create this class directly, but instead rely on `DataSourceDisplay`.

Name | Type | Description
--- | --- | ---
`entity` | Entity | The entity containing the geometry to be visualized.
`scene` | Scene | The scene where visualization is taking place.

### Methods

#### createFillGeometryInstance(time) → GeometryInstance
DataSources/CorridorGeometryUpdater.js 78

Creates the geometry instance which represents the fill of the geometry.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time to use when retrieving initial attribute values.

##### Returns:

The geometry instance representing the filled portion of the geometry.

##### Throws:

- DeveloperError : This instance does not represent a filled geometry.

#### createOutlineGeometryInstance(time) → GeometryInstance
DataSources/CorridorGeometryUpdater.js 146

Creates the geometry instance which represents the outline of the geometry.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time to use when retrieving initial attribute values.

##### Returns:

The geometry instance representing the outline portion of the geometry.

##### Throws:

- DeveloperError : This instance does not represent an outlined geometry.